trj

Program that generates trajectory files in special format from input trajectory.

Usage
mm_trj -i FILE -t TYPE -s NUMBER -a FILE -o MASK [ -tt NUMBER ] [ -l FILE ] [ -q ] [ -h ]
Parametrs
-i FILE – input trajectory file
-t TYPE – trajectory type. Supported formats: gmx, puma
-s NUMBER – number of trajectory steps
-a FILE – file with atom types
-o MASK – mask of output trajectory files
-tt NUMBER – maximum number of different atom types. Default is 1024
-l FILE – print log to specified file
-q – do not print messages to STDOUT
-h – show this help and exit

File formats

Trajectory files (*.[0-9])

- Number of atoms is shown in the title.
- Trajectory snapshot (enumeration of all atoms in system). Format
  00001 СА 1234.000000 1234.000000 1234.000000 01 0001
  The sequence number of an atom (5 characters), space, character atom type (2 characters), 2 spaces, X coordinate (11 characters, 6 decimal part), Y coordinate (11 characters, 6 decimal part), Z coordinate (11 characters, 6 decimal part), 4 spaces, numerical atom type (2 characters), space, number of molecule (4 characters).

Atom types file (*.types)

- The number of different molecules (NUMTYPES=1) is shown in the title.
- The molecules enumeration block. Variables are the number of molecules (NUMMOL=1), the number of atoms (NUMAT=1).
  The atoms enumeration block. Format
  CA=1
  Character atom type (2 characters), equal sign, numerical atom type.

Operation of the application

1. Reading titles of source files, setting values of initial variables.
2. Step by step reading of source files, print results to the specified output file.

Working with GUI

1. Select Menu -> File creator -> Atom types file.
2. Set the output file.
3. Set atom types. To add a new molecule you need select "Add new molecule" from the drop down list. To change the number of molecules you need change the corresponding numeric value. To add a new atom you need enter 2 character to the special field, set numerical atom type and press "Add". After this the atom will appear in the special window. To remove an atom you need select the desired atom in the special window and press "Remove".
4. Create the atom types file.
5. Go to the tab "Generate trajectory". Set the work directory.
6. Set the input trajectory file.
7. Select the trajectory type from the drop down list, set the number of trajectory steps.
8. Set the atom types file.
9. Set the mask of output files.
10. Set the maximum number of different atom types and the log file if this needed.
11. Run application.